# Get KYC - IdProof Status GET https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status The **Get KYC - IdProof Status** is an **authenticated API** call allows you to **dynamically retrieve the current status** of the `idProof` KYC workflow, specifically related to submissions processed via **Onfido**. - Initially, the status will be returned as **`NOT_SUBMITTED`**, indicating that the user has not yet completed or submitted their KYC information. - Once the KYC information has been **successfully submitted to Onfido**, the status automatically updates to **`SUBMITTED`**. This API is particularly useful for identifying the **precise point** at which a user has completed the document verification step through Onfido. It enables real-time tracking of the user's KYC progression, ensuring smoother orchestration of downstream steps in the onboarding flow. Reference: https://docs.transak.com/api/whitelabel/kyc/get-kyc-idproof-status ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: whitelabel-api version: 1.0.0 paths: /api/v2/kyc/id-proof-status: get: operationId: get-kyc-idproof-status summary: Get KYC - IdProof Status description: >- The **Get KYC - IdProof Status** is an **authenticated API** call allows you to **dynamically retrieve the current status** of the `idProof` KYC workflow, specifically related to submissions processed via **Onfido**. - Initially, the status will be returned as **`NOT_SUBMITTED`**, indicating that the user has not yet completed or submitted their KYC information. - Once the KYC information has been **successfully submitted to Onfido**, the status automatically updates to **`SUBMITTED`**. This API is particularly useful for identifying the **precise point** at which a user has completed the document verification step through Onfido. It enables real-time tracking of the user's KYC progression, ensuring smoother orchestration of downstream steps in the onboarding flow. tags: - subpackage_kyc parameters: - name: workFlowRunId in: query description: workFlowRunId received in `Get Additional Requirements` API required: true schema: type: string default: f7a73b14-6c25-433e-802d-1ca4ac0ececa - name: authorization in: header description: >- Authorization token is the accessToken received from the API -` api/v2/auth/verify` required: true schema: type: string default: YOUR_USER_AUTH_TOKEN - name: x-user-identifier in: header description: >- Your authenticated user Email Id address. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) required: false schema: type: string default: USER_EMAIL_ID - name: x-access-token in: header description: > Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) required: false schema: type: string default: YOUR_ACCESS_TOKEN responses: '200': description: 200 - Submitted content: application/json: schema: $ref: '#/components/schemas/KYC_get-kyc-idproof-status_Response_200' '400': description: 400 - Bad Request content: application/json: schema: $ref: >- #/components/schemas/Get-kyc-idproof-statusRequestBadRequestError '401': description: 401 - Unauthorized content: application/json: schema: $ref: >- #/components/schemas/Get-kyc-idproof-statusRequestUnauthorizedError '500': description: 500 - Internal Server Error content: application/json: schema: $ref: >- #/components/schemas/Get-kyc-idproof-statusRequestInternalServerError servers: - url: https://api-gateway-stg.transak.com components: schemas: ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaData: type: object properties: status: type: string kycType: type: string required: - status - kycType title: ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaData KYC_get-kyc-idproof-status_Response_200: type: object properties: data: $ref: >- #/components/schemas/ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaData required: - data title: KYC_get-kyc-idproof-status_Response_200 ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaError: type: object properties: statusCode: type: integer message: type: string required: - statusCode - message title: ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaError Get-kyc-idproof-statusRequestBadRequestError: type: object properties: error: $ref: >- #/components/schemas/ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaError required: - error title: Get-kyc-idproof-statusRequestBadRequestError Get-kyc-idproof-statusRequestUnauthorizedError: type: object properties: error: $ref: >- #/components/schemas/ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaError required: - error title: Get-kyc-idproof-statusRequestUnauthorizedError Get-kyc-idproof-statusRequestInternalServerError: type: object properties: error: $ref: >- #/components/schemas/ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaError required: - error title: Get-kyc-idproof-statusRequestInternalServerError ``` ## SDK Code Examples ```python Not Submitted import requests url = "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status" querystring = {"workFlowRunId":"f7a73b14-6c25-433e-802d-1ca4ac0ececa"} headers = { "authorization": "YOUR_USER_AUTH_TOKEN", "x-user-identifier": "USER_EMAIL_ID", "x-access-token": "YOUR_ACCESS_TOKEN" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Not Submitted const url = 'https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa'; const options = { method: 'GET', headers: { authorization: 'YOUR_USER_AUTH_TOKEN', 'x-user-identifier': 'USER_EMAIL_ID', 'x-access-token': 'YOUR_ACCESS_TOKEN' } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Not Submitted package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("authorization", "YOUR_USER_AUTH_TOKEN") req.Header.Add("x-user-identifier", "USER_EMAIL_ID") req.Header.Add("x-access-token", "YOUR_ACCESS_TOKEN") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Not Submitted require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["authorization"] = 'YOUR_USER_AUTH_TOKEN' request["x-user-identifier"] = 'USER_EMAIL_ID' request["x-access-token"] = 'YOUR_ACCESS_TOKEN' response = http.request(request) puts response.read_body ``` ```java Not Submitted import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa") .header("authorization", "YOUR_USER_AUTH_TOKEN") .header("x-user-identifier", "USER_EMAIL_ID") .header("x-access-token", "YOUR_ACCESS_TOKEN") .asString(); ``` ```php Not Submitted request('GET', 'https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa', [ 'headers' => [ 'authorization' => 'YOUR_USER_AUTH_TOKEN', 'x-access-token' => 'YOUR_ACCESS_TOKEN', 'x-user-identifier' => 'USER_EMAIL_ID', ], ]); echo $response->getBody(); ``` ```csharp Not Submitted using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa"); var request = new RestRequest(Method.GET); request.AddHeader("authorization", "YOUR_USER_AUTH_TOKEN"); request.AddHeader("x-user-identifier", "USER_EMAIL_ID"); request.AddHeader("x-access-token", "YOUR_ACCESS_TOKEN"); IRestResponse response = client.Execute(request); ``` ```swift Not Submitted import Foundation let headers = [ "authorization": "YOUR_USER_AUTH_TOKEN", "x-user-identifier": "USER_EMAIL_ID", "x-access-token": "YOUR_ACCESS_TOKEN" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python Submitted import requests url = "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status" querystring = {"workFlowRunId":"f7a73b14-6c25-433e-802d-1ca4ac0ececa"} headers = { "authorization": "YOUR_USER_AUTH_TOKEN", "x-user-identifier": "USER_EMAIL_ID", "x-access-token": "YOUR_ACCESS_TOKEN" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Submitted const url = 'https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa'; const options = { method: 'GET', headers: { authorization: 'YOUR_USER_AUTH_TOKEN', 'x-user-identifier': 'USER_EMAIL_ID', 'x-access-token': 'YOUR_ACCESS_TOKEN' } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Submitted package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("authorization", "YOUR_USER_AUTH_TOKEN") req.Header.Add("x-user-identifier", "USER_EMAIL_ID") req.Header.Add("x-access-token", "YOUR_ACCESS_TOKEN") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Submitted require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["authorization"] = 'YOUR_USER_AUTH_TOKEN' request["x-user-identifier"] = 'USER_EMAIL_ID' request["x-access-token"] = 'YOUR_ACCESS_TOKEN' response = http.request(request) puts response.read_body ``` ```java Submitted import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa") .header("authorization", "YOUR_USER_AUTH_TOKEN") .header("x-user-identifier", "USER_EMAIL_ID") .header("x-access-token", "YOUR_ACCESS_TOKEN") .asString(); ``` ```php Submitted request('GET', 'https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa', [ 'headers' => [ 'authorization' => 'YOUR_USER_AUTH_TOKEN', 'x-access-token' => 'YOUR_ACCESS_TOKEN', 'x-user-identifier' => 'USER_EMAIL_ID', ], ]); echo $response->getBody(); ``` ```csharp Submitted using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa"); var request = new RestRequest(Method.GET); request.AddHeader("authorization", "YOUR_USER_AUTH_TOKEN"); request.AddHeader("x-user-identifier", "USER_EMAIL_ID"); request.AddHeader("x-access-token", "YOUR_ACCESS_TOKEN"); IRestResponse response = client.Execute(request); ``` ```swift Submitted import Foundation let headers = [ "authorization": "YOUR_USER_AUTH_TOKEN", "x-user-identifier": "USER_EMAIL_ID", "x-access-token": "YOUR_ACCESS_TOKEN" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=f7a73b14-6c25-433e-802d-1ca4ac0ececa")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```